
//判断是否在前面加0
function getNow(s) {
    return s < 10 ? '0' + s : s;
}
// 获取时间
function acquisitionTime(date) {
    var myDate = new Date(date);
    var year = myDate.getFullYear();        //获取当前年
    var month = myDate.getMonth() + 1;   //获取当前月
    var date = myDate.getDate();            //获取当前日
    var now = year + '.' + getNow(month) + "." + getNow(date)
    return now
}
// 点赞展览
function LikeExhibition(id, tant) {
    console.log(id);
    DataConfig.getAllData('/exhibition/like', {
        id: id
    }, (res) => {
        $(tant).children('span').eq(0).html(res.count)
    })
}
// 点赞展品
function LikeExhibit(id, tant) {
    console.log(id);
    DataConfig.getAllData('/exhibit/like', {
        id: id
    }, (res) => {
        $(tant).children('span').eq(0).html(res.count)
    })
}
function shareshii() {
    socialShare('#share-2', {
        sites: ['qzone', 'qq', 'wechat', 'weibo']
    });
    $('.share').each(function () {
        $(this).click(function () {
            event.stopPropagation();
            $('.containers').css('display', 'block')
        })
    })
    $('.containers').click(function () {
        $('.containers').css('display', 'none')
    })
}
//距离结束的天数
function closingDays(data) {
    var oDate1, oDate2, iDays;
    oDate1 = new Date();
    oDate2 = new Date(data);
    iDays = parseInt(Math.abs(oDate1 - oDate2) / 1000 / 60 / 60 / 24); //把相差的毫秒数转换为天数

    return iDays;
}
// 获取参数
function getUrlParams(key) {
    var url = window.location.search.substr(1);
    if (url == '') {
        return false;
    }
    var paramsArr = url.split('&');
    for (var i = 0; i < paramsArr.length; i++) {
        var combina = paramsArr[i].split("=");
        if (combina[0] == key) {
            return combina[1];
        }
    }
    return false;
}
// 请求更多列表接口
function exhibitionsMore(type, filter, state_filter, page) {
    DataConfig.getAllData('/exhibitions/more', {
        type: type,
        filter: filter,
        state_filter: state_filter,
        page: page,
        page_size: 12
    }, (res) => {
        let list = ""
        if (res.exhibitions.length < 10) {
            $('.viewmore').css('display', 'none')
        }
        res.exhibitions.map(item => {
            let str = ""
            let date12 = new Date().getTime()
            let date121 = new Date(item.end_time).getTime()
            let start_time = new Date(item.start_time).getTime()
            if (start_time > date12 && date121 > date12) {
                str = `<div class="distance11">即将展览</div>`
                list += ` <div class="lis" data-id="${item.id}" data-title="${item.title}">
                <img class="lis-img" src="${item.cover}" alt="">
                <div class="lis-bot">
                    <div class="li-title">${item.title}</div>
                    <div class="introduce">${item.subtitle}</div>
                    <div class="time">${acquisitionTime(item.start_time)} - ${acquisitionTime(item.end_time)}</div>
                    `+ str + `
                    <p class="across"></p>
                    <div class="function">
                        <div class="give" data-id="${item.id}">
                            <img src="http://exhibition.szwyg.org.cn/resources/static/img/give.png" alt="">
                            <span>${item.likes}</span>
                        </div>
                        <div class="share">
                            <img src="http://exhibition.szwyg.org.cn/resources/static/img/share.png" alt="">
                            <span>分享</span>
                        </div>
                    </div>
                </div>
            </div>`
            } else if (date121 - date12 > 0) {
                str = `<div class="distance">距离结束: ${closingDays(item.end_time)}天</div>`
                list += ` <div class="lis" data-id="${item.id}" data-title="${item.title}">
                <img class="lis-img" src="${item.cover}" alt="">
                <div class="lis-bot">
                    <div class="li-title">${item.title}</div>
                    <div class="introduce">${item.subtitle}</div>
                    <div class="time">${acquisitionTime(item.start_time)} - ${acquisitionTime(item.end_time)}</div>
                    `+ str + `
                    <p class="across"></p>
                    <div class="function">
                        <div class="give" data-id="${item.id}">
                            <img src="http://exhibition.szwyg.org.cn/resources/static/img/give.png" alt="">
                            <span>${item.likes}</span>
                        </div>
                        <div class="share">
                            <img src="http://exhibition.szwyg.org.cn/resources/static/img/share.png" alt="">
                            <span>分享</span>
                        </div>
                    </div>
                </div>
            </div>`
            } else if (date121 < date12 && start_time < date12) {
                str = `<div class="distance11">已结束</div>`
                list += ` <div class="lis" data-id="${item.id}"  data-title="${item.title}">
                <img class="lis-img" src="${item.cover}" alt="">
                <div class="lis-bot">
                    <div class="li-title">${item.title}</div>
                    <div class="introduce">${item.subtitle}</div>
                    <div class="time">${acquisitionTime(item.start_time)} - ${acquisitionTime(item.end_time)}</div>
                    `+ str + `
                    <p class="across"></p>
                    <div class="function">
                        <div class="give" data-id="${item.id}">
                            <img src="http://exhibition.szwyg.org.cn/resources/static/img/give.png" alt="">
                            <span>${item.likes}</span>
                        </div>
                        <div class="share">
                            <img src="http://exhibition.szwyg.org.cn/resources/static/img/share.png" alt="">
                            <span>分享</span>
                        </div>
                    </div>
                </div>
            </div>`
            }
        })
        // 在liss元素前插入展览数据
        $(list).insertBefore('.liss')
        shareshii()
        $('.give').click(function () {
            event.stopPropagation();
            LikeExhibition($(this).data("id"), this)
        })
        $('.lis').each(function (index) {
            $(this).click(function () {
                window.localStorage.setItem('title', $(this).data("title"))
                $(location).attr("href", `/exhibition?id=${$(this).data("id")}`)
            })
        })
    })
}
// 获取详情
function exhibitDetail(id) {
    DataConfig.getAllData('/exhibit/detail', {
        id: id
    }, (res) => {
        if (res.room_index != 2) { // 非展厅
            $('.from-cen').hide()
            $('.from-inputname').hide()
            $('.from-inputphone').hide()
            $('.from-inputbid').hide()
            $('.form-but').hide()
        }
        $('.Introducedetails1').html(res.author_introduction)
        $('.sharess-lisid').html(res.likes)
        $('.introducesss').html(res.title)
	$('.return span').html(res.title)
        if (res.details) {
            let arr1 = ''
            res.details.map(item => {
                arr1 += ` <div class="detailsssss">
                <img src="${item.media}" alt="">
                    <div class="detailssssstitle">${item.detail}</div>`
            })
            $('.detailsss').html(arr1)
        }
        if (res.audio) {
            let audio = new Audio();
            audio.src = res.audio;
            audio.loop = false;
            let num = 0
            audio.oncanplay = function () {
                $('.voice-time').html(timeToMinute(audio.duration))
            }
            $('.Introducedetailsfff').html(res.introduction)
            $('.sharess-lis').click(function () {
                LikeExhibit($(this).data(id), this)
            })
            $('.voice-img').click(function () {
                if (num == 0) {
                    num = 1
                    audio.play();
                } else {
                    num = 0
                    audio.pause();
                }
            })
        } else {
            $('.voice').css('display', 'none')
            $('.title22').css('display', 'none')
        }

    })
}

// 请求首页列表接口
function exhibitions(type, num) {
    DataConfig.getAllData('/exhibitions', {
        type: type
    }, (res) => {
        $('.list-cen').empty()
        let list = ""
        let arr = []
        switch (num) {
            case 1:
                arr = res.fine_works
                break;
            case 2:
                arr = res.masters
                break;
            default:
                arr = res.all
                break;
        }
        if (arr.length <= 0) {
            $('.butss').css('display', 'none')
            return
        } else {
            $('.butss').css('display', 'block')
        }
        arr.map((item, index) => {
            var winWidth = $(window).innerWidth();
            if (winWidth <= 768 && index >= 9) {
                return
            } else if (index >= 6) {
                return
            }

            let str = ""
            let date12 = new Date().getTime()
            let date121 = new Date(item.end_time).getTime()
            let start_time = new Date(item.start_time).getTime()
            if (start_time > date12 && date121 > date12) {
                str = `<div class="distance11">即将展览</div>`
                list += ` <div class="lis" data-id="${item.id}" data-title="${item.title}">
                <img class="lis-img" src="${item.cover}" alt="">
                <div class="lis-bot">
                    <div class="li-title">${item.title}</div>
                    <div class="introduce">${item.subtitle}</div>
                    <div class="time">${acquisitionTime(item.start_time)} - ${acquisitionTime(item.end_time)}</div>
                    `+ str + `
                    <p class="across"></p>
                    <div class="function">
                        <div class="give" data-id="${item.id}">
                            <img src="http://exhibition.szwyg.org.cn/resources/static/img/give.png" alt="">
                            <span>${item.likes}</span>
                        </div>
                        <div class="share">
                            <img src="http://exhibition.szwyg.org.cn/resources/static/img/share.png" alt="">
                            <span>分享</span>
                        </div>
                    </div>
                </div>
            </div>`
            } else if (date121 - date12 > 0) {
                str = `<div class="distance">距离结束: ${closingDays(item.end_time)}天</div>`
                list += ` <div class="lis" data-id="${item.id}" data-title="${item.title}">
                <img class="lis-img" src="${item.cover}" alt="">
                <div class="lis-bot">
                    <div class="li-title">${item.title}</div>
                    <div class="introduce">${item.subtitle}</div>
                    <div class="time">${acquisitionTime(item.start_time)} - ${acquisitionTime(item.end_time)}</div>
                    `+ str + `
                    <p class="across"></p>
                    <div class="function">
                        <div class="give" data-id="${item.id}">
                            <img src="http://exhibition.szwyg.org.cn/resources/static/img/give.png" alt="">
                            <span>${item.likes}</span>
                        </div>
                        <div class="share">
                            <img src="http://exhibition.szwyg.org.cn/resources/static/img/share.png" alt="">
                            <span>分享</span>
                        </div>
                    </div>
                </div>
            </div>`
            } else if (date121 < date12) {
                str = `<div class="distance11">已结束</div>`
                list += ` <div class="lis" data-id="${item.id}" data-title="${item.title}">
                <img class="lis-img" src="${item.cover}" alt="">
                <div class="lis-bot">
                    <div class="li-title">${item.title}</div>
                    <div class="introduce">${item.subtitle}</div>
                    <div class="time">${acquisitionTime(item.start_time)} - ${acquisitionTime(item.end_time)}</div>
                    `+ str + `
                    <p class="across"></p>
                    <div class="function">
                        <div class="give" data-id="${item.id}">
                            <img src="http://exhibition.szwyg.org.cn/resources/static/img/give.png" alt="">
                            <span>${item.likes}</span>
                        </div>
                        <div class="share">
                            <img src="http://exhibition.szwyg.org.cn/resources/static/img/share.png" alt="">
                            <span>分享</span>
                        </div>
                    </div>
                </div>
            </div>`
            }
        })
        list += ` <div class="liss"></div>`
        $('.list-cen').html(list)
        shareshii()
        $('.give').click(function () {
            event.stopPropagation();
            LikeExhibition($(this).data("id"), this)
        })
        $('.lis').each(function (index) {
            $(this).click(function () {
                console.log($(this).data());
                window.localStorage.setItem('title', $(this).data("title"))
                $(location).attr("href", `/exhibition?id=${$(this).data("id")}`)
            })
        })
    })
}
// 购买表单
function exhibitoffer(id, username, phone, bid) {
    DataConfig.getAllData('/exhibit/offer', JSON.stringify({
        id: Number(id),
        username: username,
        phone: phone,
        bid: Number(bid)
    }), (res) => {
        if (res) {
            $('.tishi').html('出价成功')
            $('.tishi').css('display', 'block')
            setTimeout113 = setTimeout(function () {
                $('.tishi').css('display', 'none')
                clearTimeout(setTimeout113)
                setTimeout113 = null
            }, 3000);
            $('.from-inputname').val('')
            $('.from-inputphone').val('')
            $('.from-inputbid').val('')
        } else {
            let setTimeout113 = null;
            $('.tishi').html('请求出错')
            $('.tishi').css('display', 'block')
            setTimeout113 = setTimeout(function () {
                $('.tishi').css('display', 'none')
                clearTimeout(setTimeout113)
                setTimeout113 = null
            }, 3000);
        }
        console.log(res, 44);
    })
}
function timeToMinute(times) {
    var t = "";
    if (times > -1) {
        //  var hour = Math.floor(times/3600);
        var min = Math.floor(times / 60) % 60;
        var sec = times % 60;
        //  if(hour < 10) {
        //      t = '0'+ hour + ":";
        //  } else {
        //      t = hour + ":";
        //  }

        if (min < 10) { t += "0"; }
        t += min + ":";
        if (sec < 10) { t += "0"; }
        t += sec.toFixed(2);
    }
    t = t.substring(0, t.length - 3);
    return t;

}