const exhibitionsList = [
    {
        "type": 0,
        "all": [ // 当前类型下全部展会（当前页返回固定数量展会，例如：最多 10 个）
            {
                "id": 1, // 展览 id
                "style": 2, // 1 为现代，2 为古代
                "title": "河北美术的青春力量 1",
                "subtitle": "第3届河北省青年美术作品展览",
                "cover": "./static/img/ww.png", // 封面图
                "start_time": "2022-05-10T19:51:00+08:00", // 展会开始时间
                "end_time": "2022-05-20T19:51:00+08:00", // 展会结束时间
                "opening_ceremony_used": false, // 是否使用开幕式
                "exhibition_hall_used": true, // 是否使用展厅
                "studio_used": false, // 是否使用演播厅
                "likes": 123, // 点赞数
                "flowers": 123, // 送花数
                "applauses": 123, // 鼓掌数
            },
            {
                "id": 1, // 展览 id
                "style": 2, // 1 为现代，2 为古代
                "title": "河北美术的青春力量",
                "subtitle": "第3届河北省青年美术作品展览",
                "cover": "./static/img/ww.png", // 封面图
                "start_time": "2022-05-10T19:51:00+08:00", // 展会开始时间
                "end_time": "2022-05-20T19:51:00+08:00", // 展会结束时间
                "opening_ceremony_used": false, // 是否使用开幕式
                "exhibition_hall_used": true, // 是否使用展厅
                "studio_used": false, // 是否使用演播厅
                "likes": 123, // 点赞数
                "flowers": 123, // 送花数
                "applauses": 123, // 鼓掌数
            },
            {
                "id": 1, // 展览 id
                "style": 2, // 1 为现代，2 为古代
                "title": "河北美术的青春力量",
                "subtitle": "第3届河北省青年美术作品展览",
                "cover": "./static/img/ww.png", // 封面图
                "start_time": "2022-05-10T19:51:00+08:00", // 展会开始时间
                "end_time": "2022-05-20T19:51:00+08:00", // 展会结束时间
                "opening_ceremony_used": false, // 是否使用开幕式
                "exhibition_hall_used": true, // 是否使用展厅
                "studio_used": false, // 是否使用演播厅
                "likes": 123, // 点赞数
                "flowers": 123, // 送花数
                "applauses": 123, // 鼓掌数
            },
            {
                "id": 1, // 展览 id
                "style": 2, // 1 为现代，2 为古代
                "title": "河北美术的青春力量",
                "subtitle": "第3届河北省青年美术作品展览",
                "cover": "./static/img/ww.png", // 封面图
                "start_time": "2022-05-10T19:51:00+08:00", // 展会开始时间
                "end_time": "2022-05-20T19:51:00+08:00", // 展会结束时间
                "opening_ceremony_used": false, // 是否使用开幕式
                "exhibition_hall_used": true, // 是否使用展厅
                "studio_used": false, // 是否使用演播厅
                "likes": 123, // 点赞数
                "flowers": 123, // 送花数
                "applauses": 123, // 鼓掌数
            },
            {
                "id": 1, // 展览 id
                "style": 2, // 1 为现代，2 为古代
                "title": "河北美术的青春力量",
                "subtitle": "第3届河北省青年美术作品展览",
                "cover": "./static/img/ww.png", // 封面图
                "start_time": "2022-05-10T19:51:00+08:00", // 展会开始时间
                "end_time": "2022-05-20T19:51:00+08:00", // 展会结束时间
                "opening_ceremony_used": false, // 是否使用开幕式
                "exhibition_hall_used": true, // 是否使用展厅
                "studio_used": false, // 是否使用演播厅
                "likes": 123, // 点赞数
                "flowers": 123, // 送花数
                "applauses": 123, // 鼓掌数
            }
        ],
        "fine_works": [ // 当前类型下的精品展会（当前页返回固定数量展会，例如：最多 10 个）
            {
                "id": 1, // 展览 id
                "style": 2, // 1 为现代，2 为古代
                "title": "河北美术的青春力量 2",
                "subtitle": "第3届河北省青年美术作品展览",
                "cover": "./static/img/ww.png", // 封面图
                "start_time": "2022-05-10T19:51:00+08:00", // 展会开始时间
                "end_time": "2022-05-20T19:51:00+08:00", // 展会结束时间
                "opening_ceremony_used": false, // 是否使用开幕式
                "exhibition_hall_used": true, // 是否使用展厅
                "studio_used": false, // 是否使用演播厅
                "likes": 123, // 点赞数
                "flowers": 123, // 送花数
                "applauses": 123, // 鼓掌数
            },
            {
                "id": 1, // 展览 id
                "style": 2, // 1 为现代，2 为古代
                "title": "河北美术的青春力量",
                "subtitle": "第3届河北省青年美术作品展览",
                "cover": "./static/img/ww.png", // 封面图
                "start_time": "2022-05-10T19:51:00+08:00", // 展会开始时间
                "end_time": "2022-05-20T19:51:00+08:00", // 展会结束时间
                "opening_ceremony_used": false, // 是否使用开幕式
                "exhibition_hall_used": true, // 是否使用展厅
                "studio_used": false, // 是否使用演播厅
                "likes": 123, // 点赞数
                "flowers": 123, // 送花数
                "applauses": 123, // 鼓掌数
            },
            {
                "id": 1, // 展览 id
                "style": 2, // 1 为现代，2 为古代
                "title": "河北美术的青春力量",
                "subtitle": "第3届河北省青年美术作品展览",
                "cover": "./static/img/ww.png", // 封面图
                "start_time": "2022-05-10T19:51:00+08:00", // 展会开始时间
                "end_time": "2022-05-20T19:51:00+08:00", // 展会结束时间
                "opening_ceremony_used": false, // 是否使用开幕式
                "exhibition_hall_used": true, // 是否使用展厅
                "studio_used": false, // 是否使用演播厅
                "likes": 123, // 点赞数
                "flowers": 123, // 送花数
                "applauses": 123, // 鼓掌数
            },
            {
                "id": 1, // 展览 id
                "style": 2, // 1 为现代，2 为古代
                "title": "河北美术的青春力量",
                "subtitle": "第3届河北省青年美术作品展览",
                "cover": "./static/img/ww.png", // 封面图
                "start_time": "2022-05-10T19:51:00+08:00", // 展会开始时间
                "end_time": "2022-05-20T19:51:00+08:00", // 展会结束时间
                "opening_ceremony_used": false, // 是否使用开幕式
                "exhibition_hall_used": true, // 是否使用展厅
                "studio_used": false, // 是否使用演播厅
                "likes": 123, // 点赞数
                "flowers": 123, // 送花数
                "applauses": 123, // 鼓掌数
            },
            {
                "id": 1, // 展览 id
                "style": 2, // 1 为现代，2 为古代
                "title": "河北美术的青春力量",
                "subtitle": "第3届河北省青年美术作品展览",
                "cover": "./static/img/ww.png", // 封面图
                "start_time": "2022-05-10T19:51:00+08:00", // 展会开始时间
                "end_time": "2022-05-20T19:51:00+08:00", // 展会结束时间
                "opening_ceremony_used": false, // 是否使用开幕式
                "exhibition_hall_used": true, // 是否使用展厅
                "studio_used": false, // 是否使用演播厅
                "likes": 123, // 点赞数
                "flowers": 123, // 送花数
                "applauses": 123, // 鼓掌数
            }
        ],
        "masters": [ // 当前类型下的名家展会（当前页返回固定数量展会，例如：最多 10 个）
            {
                "id": 1, // 展览 id
                "style": 2, // 1 为现代，2 为古代
                "title": "河北美术的青春力量 3",
                "subtitle": "第3届河北省青年美术作品展览",
                "cover": "./static/img/ww.png", // 封面图
                "start_time": "2022-05-10T19:51:00+08:00", // 展会开始时间
                "end_time": "2022-05-20T19:51:00+08:00", // 展会结束时间
                "opening_ceremony_used": false, // 是否使用开幕式
                "exhibition_hall_used": true, // 是否使用展厅
                "studio_used": false, // 是否使用演播厅
                "likes": 123, // 点赞数
                "flowers": 123, // 送花数
                "applauses": 123, // 鼓掌数
            },
            {
                "id": 1, // 展览 id
                "style": 2, // 1 为现代，2 为古代
                "title": "河北美术的青春力量",
                "subtitle": "第3届河北省青年美术作品展览",
                "cover": "./static/img/ww.png", // 封面图
                "start_time": "2022-05-10T19:51:00+08:00", // 展会开始时间
                "end_time": "2022-05-20T19:51:00+08:00", // 展会结束时间
                "opening_ceremony_used": false, // 是否使用开幕式
                "exhibition_hall_used": true, // 是否使用展厅
                "studio_used": false, // 是否使用演播厅
                "likes": 123, // 点赞数
                "flowers": 123, // 送花数
                "applauses": 123, // 鼓掌数
            },
            {
                "id": 1, // 展览 id
                "style": 2, // 1 为现代，2 为古代
                "title": "河北美术的青春力量",
                "subtitle": "第3届河北省青年美术作品展览",
                "cover": "./static/img/ww.png", // 封面图
                "start_time": "2022-05-10T19:51:00+08:00", // 展会开始时间
                "end_time": "2022-05-20T19:51:00+08:00", // 展会结束时间
                "opening_ceremony_used": false, // 是否使用开幕式
                "exhibition_hall_used": true, // 是否使用展厅
                "studio_used": false, // 是否使用演播厅
                "likes": 123, // 点赞数
                "flowers": 123, // 送花数
                "applauses": 123, // 鼓掌数
            },
            {
                "id": 1, // 展览 id
                "style": 2, // 1 为现代，2 为古代
                "title": "河北美术的青春力量",
                "subtitle": "第3届河北省青年美术作品展览",
                "cover": "./static/img/ww.png", // 封面图
                "start_time": "2022-05-10T19:51:00+08:00", // 展会开始时间
                "end_time": "2022-05-20T19:51:00+08:00", // 展会结束时间
                "opening_ceremony_used": false, // 是否使用开幕式
                "exhibition_hall_used": true, // 是否使用展厅
                "studio_used": false, // 是否使用演播厅
                "likes": 123, // 点赞数
                "flowers": 123, // 送花数
                "applauses": 123, // 鼓掌数
            },
            {
                "id": 1, // 展览 id
                "style": 2, // 1 为现代，2 为古代
                "title": "河北美术的青春力量",
                "subtitle": "第3届河北省青年美术作品展览",
                "cover": "./static/img/ww.png", // 封面图
                "start_time": "2022-05-10T19:51:00+08:00", // 展会开始时间
                "end_time": "2022-05-20T19:51:00+08:00", // 展会结束时间
                "opening_ceremony_used": false, // 是否使用开幕式
                "exhibition_hall_used": true, // 是否使用展厅
                "studio_used": false, // 是否使用演播厅
                "likes": 123, // 点赞数
                "flowers": 123, // 送花数
                "applauses": 123, // 鼓掌数
            }
        ]
    }
]

const exhibitLike = {
    "count": 222
}
const exhibitionsMoreList = [
    {
        "type": 0,
        "filter": 0,
        "state_filter": 0,
        "page": 1,
        "page_size": 100,
        "exhibitions": [ // 当前类型下全部展会（当前页返回固定数量展会，例如：最多 10 个）
            {
                "id": 1, // 展览 id
                "style": 2, // 1 为现代，2 为古代
                "title": "河北美术的青春力量",
                "subtitle": "第3届河北省青年美术作品展览",
                "cover": "./static/img/ww.png", // 封面图
                "start_time": "2022-05-10T19:51:00+08:00", // 展会开始时间
                "end_time": "2022-05-20T19:51:00+08:00", // 展会结束时间
                "opening_ceremony_used": false, // 是否使用开幕式
                "exhibition_hall_used": true, // 是否使用展厅
                "studio_used": false, // 是否使用演播厅
                "likes": 123, // 点赞数
                "flowers": 123, // 送花数
                "applauses": 123, // 鼓掌数
            },
            {
                "id": 1, // 展览 id
                "style": 2, // 1 为现代，2 为古代
                "title": "河北美术的青春力量",
                "subtitle": "第3届河北省青年美术作品展览",
                "cover": "./static/img/ww.png", // 封面图
                "start_time": "2022-05-10T19:51:00+08:00", // 展会开始时间
                "end_time": "2022-05-20T19:51:00+08:00", // 展会结束时间
                "opening_ceremony_used": false, // 是否使用开幕式
                "exhibition_hall_used": true, // 是否使用展厅
                "studio_used": false, // 是否使用演播厅
                "likes": 123, // 点赞数
                "flowers": 123, // 送花数
                "applauses": 123, // 鼓掌数
            },
            {
                "id": 1, // 展览 id
                "style": 2, // 1 为现代，2 为古代
                "title": "河北美术的青春力量",
                "subtitle": "第3届河北省青年美术作品展览",
                "cover": "./static/img/ww.png", // 封面图
                "start_time": "2022-05-10T19:51:00+08:00", // 展会开始时间
                "end_time": "2022-05-20T19:51:00+08:00", // 展会结束时间
                "opening_ceremony_used": false, // 是否使用开幕式
                "exhibition_hall_used": true, // 是否使用展厅
                "studio_used": false, // 是否使用演播厅
                "likes": 123, // 点赞数
                "flowers": 123, // 送花数
                "applauses": 123, // 鼓掌数
            }
        ]
    }]

const detail = {
    "id": 1, // 展品 id
    "title": "《Three masks》", // 展品名称
    "author_introduction": "1995 年出生于 xxx", // 作者介绍
    "audio": "./static/img/333.mp3", // 展品语音介绍
    "introduction": "1234567", // 展品文字介绍
    "details": [
        {
            "media": "./static/img/ww.png",
            "detail": "《Three masks》" // 简介
        }
    ],
    "likes": 123, // 展品点赞数
    "flowers": 123, // 展品送花数
    "applauses": 123 // 展品鼓掌数
}